ipe::FileStream Class Reference
Ipe Base

`#include <ipebase.h>`

Inherits ipe::TellStream.

## Public Member Functions

| FileStream (std::FILE *file)
virtual void | putChar (char ch)
virtual void | putString (String s)
virtual void | putCString (const char *s)
virtual void | putRaw (const char *data, int size)
virtual long | tell () const
Public Member Functions inherited from ipe::Stream
virtual | ~Stream ()
virtual void | close ()
Stream & | operator<< (char ch)
Stream & | operator<< (const String &s)
Stream & | operator<< (const char *s)
Stream & | operator<< (int i)
Stream & | operator<< (double d)
void | putHexByte (char b)
void | putXmlString (String s)

## Detailed Description

Stream writing into an open file.

## Constructor & Destructor Documentation

## FileStream()

FileStream::FileStream | ( | std::FILE * | file | ) |

Constructor.

Referenced by ipe::StringStream::tell().

## Member Function Documentation

## putChar()

void FileStream::putChar | ( | char | ch | ) |

virtual

Output character.

Implements ipe::Stream.

## putString()

void FileStream::putString | ( | String | s | ) |

virtual

Output string.

Default implementation uses PutChar.

Reimplemented from ipe::Stream.

References ipe::String::size().

## putCString()

void FileStream::putCString | ( | const char * | s | ) |

virtual

Output C string.

Default implementation uses PutChar.

Reimplemented from ipe::Stream.

## putRaw()

void FileStream::putRaw | ( | const char * | data,
|  | int | size
| ) |  |

virtual

Output raw character data.

Default implementation uses PutChar.

Reimplemented from ipe::Stream.

References ipe::String::size().

## tell()

long FileStream::tell | ( |  | ) | const

virtual

Implements ipe::TellStream.

References ipe::DataSource::~DataSource().

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp